Bug 880096 - python-bugzilla: _close_bug() takes exactly 2 arguments (3 given)
python-bugzilla: _close_bug() takes exactly 2 arguments (3 given)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 04:13 EST by Mikolaj Izdebski
Modified: 2013-02-16 10:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 10:35:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-11-26 04:13:24 EST
Description of problem:
When trying to close a bug python-bugzilla fails with the following error message:

Traceback (most recent call last):
  File "/bin/bugzilla", line 808, in <module>
    main()
  File "/bin/bugzilla", line 676, in main
    bug.close(opt.close,comment=opt.comment,isprivate=opt.private)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 1360, in close
    comment,isprivate,private_in_it,nomail)
  File "/usr/lib/python2.7/site-packages/bugzilla/rhbugzilla.py", line 281, in _closebug
    return self._close_bug(id, update)
TypeError: _close_bug() takes exactly 2 arguments (3 given)

Version-Release number of selected component (if applicable):
0.7.0-2

How reproducible:
always

Steps to Reproduce:
1. bugzilla modify -k RAWHIDE 1
  
Actual results:
Fails to close the bug

Expected results:
Closes the bug successfully

Additional info:
Using Red Hat bugzilla, RHBugzilla4, https://bugzilla.redhat.com/xmlrpc.cgi
Comment 1 Cole Robinson 2012-12-28 13:34:01 EST
This is fixed in upstream git
Comment 2 Cole Robinson 2013-02-16 10:35:34 EST
Fixed in python-bugzilla-0.8.0-1.fc19

Note You need to log in before you can comment on or make changes to this bug.